package config

var defaultGRPCConfig = &GRPCConfig{
	LogRequests:           false,
	EnableReflection:      true,
	EnableInstrumentation: true,
}

type GRPCConfig struct {
	Listen                string `yaml:"listen" env:"APP_GRPC_LISTEN"`
	LogRequests           bool   `yaml:"logRequests" env:"APP_GRPC_LOG_REQUESTS"`
	EnableReflection      bool   `yaml:"enableReflection" env:"APP_GRPC_ENABLE_REFLECTION"`
	EnableInstrumentation bool   `yaml:"enableInstrumentation" env:"APP_GRPC_ENABLE_INSTRUMENTATION"` // requires OTEL
}
